#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Lightweight C library which eases the writing of UNIX daemons
Summary(pl.UTF-8):	Prosta biblioteka C ułatwiająca pisanie demonów uniksowych
Name:		libdaemon
Version:	0.14
Release:	2
Epoch:		0
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.gz
# Source0-md5:	509dc27107c21bcd9fbf2f95f5669563
URL:		http://0pointer.de/lennart/projects/libdaemon/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	libtool
BuildRequires:	doxygen
BuildRequires:	lynx
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdaemon is a lightweight C library which eases the writing of UNIX
daemons.

%description -l pl.UTF-8
libdaemon jest prostą biblioteką C ułatwiającą pisanie demonów
uniksowych.

%package devel
Summary:	Header files and development documentation for libdaemon
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty biblioteki libdaemon
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This package contains Header files and development documentation for
libdaemon.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i dokumentację programisty
biblioteki libdaemon.

%package static
Summary:	Static libdaemon library
Summary(pl.UTF-8):	Statyczna biblioteka libdaemon
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
This package contains static libdaemon library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki libdaemon.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}
%{__make} doxygen

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a doc/reference/man/* $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/libdaemon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdaemon.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdaemon.so
%{_libdir}/libdaemon.la
%{_includedir}/%{name}
%{_pkgconfigdir}/libdaemon.pc
%{_mandir}/man3/daemon.h.3*
%{_mandir}/man3/dexec.h.3*
%{_mandir}/man3/dfork.h.3*
%{_mandir}/man3/dlog.h.3*
%{_mandir}/man3/dnonblock.h.3*
%{_mandir}/man3/dpid.h.3*
%{_mandir}/man3/dsignal.h.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdaemon.a
%endif
%changelog
* Wed Feb 25 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libdaemon.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7c71e61
- x32 rebuild
- release 2 (by relup.sh)

* Thu Jul 01 2010 Jakub Bogusz <qboosh@pld-linux.org> 5ca53b5
- ac/am versions
- disable silent-rules

* Sat Nov 07 2009 Adam Gołębiowski <adamg@pld-linux.org> 19fd490
- updated to 0.14

* Mon Aug 25 2008 Jakub Bogusz <qboosh@pld-linux.org> 7eeeab4
- updated to 0.13

* Thu Sep 06 2007 Jan Rękorajski <baggins@pld-linux.org> 4788b68
- rel 3

* Mon Jul 16 2007 Elan Ruusamäe <glen@pld-linux.org> ee1510b
- rel 2

* Thu Jul 12 2007 Jakub Bogusz <qboosh@pld-linux.org> f60d0d2
- updated to 0.12

* Sun Jun 24 2007 Adam Gołębiowski <adamg@pld-linux.org> a3aacec
- updated to 0.11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> de4dae3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b8582d5
- converted to UTF-8

* Sun Dec 04 2005 Jakub Bogusz <qboosh@pld-linux.org> f584399
- updated to 0.10 (on LGPL now)

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> ea620bf
- added header "Conditional build:"

* Wed Jun 15 2005 witekfl <witekfl@pld-linux.org> 157802f
- added bcond_without static_libs

* Sat Jun 04 2005 aredridel <aredridel@pld-linux.org> 5806863
- up to 0.8

* Sun Dec 19 2004 aredridel <aredridel@pld-linux.org> b1b3bcb
- build man pages

* Sun Dec 19 2004 aredridel <aredridel@pld-linux.org> 0ce4375
- up to 0.7

* Sat Apr 10 2004 Jakub Bogusz <qboosh@pld-linux.org> d4b718e
- fixed build (libtoolize), strict internal deps

* Sat Apr 10 2004 Adam Gołębiowski <adamg@pld-linux.org> f6e17c1
- updated to 0.6

* Tue Feb 10 2004 yogib <yogib@pld-linux.org> 1d5d3f1
- updated to 0.5

* Sun Jan 18 2004 undefine <undefine@pld-linux.org> 2ffa475
- release 2

